package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "vMarcacionesFace")
public class MarcacionesFace implements Serializable {

    @Column(name = "codigo_empleado")
    private String codigoEmpleado;
    @Column(name = "nombre_empleado")
    private String nombreEmpleado;
    @Column(name = "fecha")
    private Date fecha;
    @Column(name = "in_work")
    private String inWork;
    @Column(name = "out_break")
    private String outBreak;
    @Column(name = "in_break")
    private String inBreak;
    @Column(name = "out_work")
    private String outWork;

    @Column(name = "tipo_permiso")
    private String tipoPermiso;

    @Column(name = "duracion_permiso")
    private String duracionPermiso;

    @Column(name = "nota_permiso")
    private String notaPermiso;
    @Id
    @Column(name = "id")
    private String id;

    public String getCodigoEmpleado() {
        return codigoEmpleado;
    }

    public void setCodigoEmpleado(String codigoEmpleado) {
        this.codigoEmpleado = codigoEmpleado;
    }

    public String getNombreEmpleado() {
        return nombreEmpleado;
    }

    public void setNombreEmpleado(String nombreEmpleado) {
        this.nombreEmpleado = nombreEmpleado;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getInWork() {
        return inWork;
    }

    public void setInWork(String inWork) {
        this.inWork = inWork;
    }

    public String getOutBreak() {
        return outBreak;
    }

    public void setOutBreak(String outBreak) {
        this.outBreak = outBreak;
    }

    public String getInBreak() {
        return inBreak;
    }

    public void setInBreak(String inBreak) {
        this.inBreak = inBreak;
    }

    public String getOutWork() {
        return outWork;
    }

    public void setOutWork(String outWork) {
        this.outWork = outWork;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTipoPermiso() {
        return tipoPermiso;
    }

    public void setTipoPermiso(String tipoPermiso) {
        this.tipoPermiso = tipoPermiso;
    }

    public String getDuracionPermiso() {
        return duracionPermiso;
    }

    public void setDuracionPermiso(String duracionPermiso) {
        this.duracionPermiso = duracionPermiso;
    }

    public String getNotaPermiso() {
        return notaPermiso;
    }

    public void setNotaPermiso(String notaPermiso) {
        this.notaPermiso = notaPermiso;
    }

    public MarcacionesFace() {
    }
}
